// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
@import 'variables.scss';

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

// Disabling warning
$mat-theme-ignore-duplication-warnings: true;

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
/*-- Default Theme --*/
$default-theme: mat-dark-theme($deep-orange, $indigo-dark);
@include style-theme($default-theme);
@include angular-material-theme($default-theme);

/*-- Dark Themes --*/
.dark-green {
  $default-theme: mat-dark-theme($green-dark, $light-blue);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.dark-blue {
  $default-theme: mat-dark-theme($light-blue, $green-dark);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.dark-red {
  $default-theme: mat-dark-theme($red, $light-blue, $pink);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.dark-indigo {
  $default-theme: mat-dark-theme($indigo-dark, $deep-orange);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.dark-orange {
  $default-theme: mat-dark-theme($deep-orange, $indigo-dark);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.dark-purple {
  $default-theme: mat-dark-theme($purple-dark, $amber-dark);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.dark-amber {
  $default-theme: mat-dark-theme($amber-dark, $purple-dark);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.dark-crimson {
  $default-theme: mat-dark-theme($crimson, $teal-dark, $deep-orange);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.dark-teal {
  $default-theme: mat-dark-theme($teal-dark, $crimson, $deep-orange);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

/*-- Light Themes --*/
.light-green {
  $default-theme: mat-light-theme($green-light, $light-blue);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.light-blue {
  $default-theme: mat-light-theme($light-blue, $green-light);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.light-red {
  $default-theme: mat-light-theme($red, $light-blue, $pink);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.light-indigo {
  $default-theme: mat-light-theme($indigo-light, $deep-orange);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.light-orange {
  $default-theme: mat-light-theme($deep-orange, $indigo-light);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.light-purple {
  $default-theme: mat-light-theme($purple-light, $amber-light);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.light-amber {
  $default-theme: mat-light-theme($amber-light, $purple-light);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.light-crimson {
  $default-theme: mat-light-theme($crimson, $teal-light, $deep-orange);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}

.light-teal {
  $default-theme: mat-light-theme($teal-light, $crimson, $deep-orange);
  @include style-theme($default-theme);
  @include angular-material-theme($default-theme);
}
